org.cybergarage.upnp.ssdp

## Class SSDPNotifySocketList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<SSDPNotifySocket>
      - - org.cybergarage.upnp.ssdp.SSDPNotifySocketList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<SSDPNotifySocket>, Collection<SSDPNotifySocket>, List<SSDPNotifySocket>, RandomAccess

      public class SSDPNotifySocketList
      extends Vector<SSDPNotifySocket>

  A list of SSDP notification sockets for receiving SSDP notify messages.
  This class manages multiple `SSDPNotifySocket` instances to handle SSDP notifications across different network interfaces and addresses.
  Version:
    1.8
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPNotifySocketList()`
    `SSDPNotifySocketList(InetAddress[] binds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `SSDPNotifySocket` | `getSSDPNotifySocket(int n)`
    `boolean` | `open()`
    `void` | `setControlPoint(ControlPoint ctrlPoint)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### SSDPNotifySocketList

          public SSDPNotifySocketList()

    - #### SSDPNotifySocketList

          public SSDPNotifySocketList(InetAddress[] binds)

      Parameters:
        `binds` - The host to bind the service `null` means to bind to default.

  - ### Method Detail

    - #### close

          public void close()

    - #### getSSDPNotifySocket

          public SSDPNotifySocket getSSDPNotifySocket(int n)

    - #### open

          public boolean open()

    - #### setControlPoint

          public void setControlPoint(ControlPoint ctrlPoint)

    - #### start

          public void start()

    - #### stop

          public void stop()